import type { JMESPathParsingOptions, JSONObject, Node } from './types.js';
/**
 *
 * A tree interpreter for JMESPath ASTs.
 *
 * The tree interpreter is responsible for visiting nodes in the AST and
 * evaluating them to produce a result.
 *
 * @internal
 */
declare class TreeInterpreter {
    #private;
    /**
     * @param options The options to use for the interpreter.
     */
    constructor(options?: JMESPathParsingOptions);
    /**
     * Visit a node in the AST.
     *
     * The function will call the appropriate method to visit the node based on its type.
     *
     * @param node The node to visit.
     * @param value The current value to visit.
     */
    visit(node: Node, value: JSONObject): JSONObject | null;
}
export { TreeInterpreter };
//# sourceMappingURL=TreeInterpreter.d.ts.map